diff --git a/src/port/pgcheckdir.c b/src/port/pgcheckdir.c
index 3b8258c..f396739 100644
--- a/src/port/pgcheckdir.c
+++ b/src/port/pgcheckdir.c
@@ -41,8 +41,9 @@ pg_check_dir(const char *dir)
 
 	while ((file = readdir(chkdir)) != NULL)
 	{
-		if (strcmp(".", file->d_name) == 0 ||
-			strcmp("..", file->d_name) == 0)
+		if (file->d_type == DT_DIR && (
+			(file->d_name[0] == '.' ||
+			 strcmp(file->d_name, "lost+found") == 0)))
 		{
 			/* skip this and parent directory */
 			continue;
